# Uses of Interface
java.lang.classfile.Signature.TypeArg

Packages that use Signature.TypeArg
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of Signature.TypeArg in java.lang.classfile

Subinterfaces of Signature.TypeArg in java.lang.classfile
Modifier and Type
Interface
Description
`static interface`
`Signature.TypeArg.Bounded`
Models a type argument with an explicit bound type.
`static interface`
`Signature.TypeArg.Unbounded`
Models an unbounded wildcard type argument `*`, or `?` in Java programs.
Methods in java.lang.classfile that return types with arguments of type Signature.TypeArg
Modifier and Type
Method
Description
`List<Signature.TypeArg>`
Signature.ClassTypeSig.`typeArgs()`
Returns the type arguments of this class or interface.
Methods in java.lang.classfile with parameters of type Signature.TypeArg
Modifier and Type
Method
Description
`static Signature.ClassTypeSig`
Signature.ClassTypeSig.`of(Signature.ClassTypeSig outerType, ClassDesc className, Signature.TypeArg... typeArgs)`
Deprecated, for removal: This API element is subject to removal in a future version.
The resulting signature does not denote the class represented by `className` when `outerType` is not null.
`static Signature.ClassTypeSig`
Signature.ClassTypeSig.`of(Signature.ClassTypeSig outerType, String className, Signature.TypeArg... typeArgs)`
Returns a class type signature.
`static Signature.ClassTypeSig`
Signature.ClassTypeSig.`of(ClassDesc className, Signature.TypeArg... typeArgs)`
Returns a class or interface signature without an outer type.
`static Signature.ClassTypeSig`
Signature.ClassTypeSig.`of(String className, Signature.TypeArg... typeArgs)`
Returns a class or interface signature without an outer type.